Check out example codes for "node-pre-gyp ERR! Tried to download(403): https://mapbox-node-binary.s3.amazonaws.com/sqlite3/v3.1.13/node-v72-win32-x64.tar.gz". It will help you in understanding the concepts better.

Code Example 1

Solution is to switch to node version 9.11.1

You can install nvm to help you with dynamically switch between node versions.

Thank me later : )

Learn ReactJs, React Native from akashmittal.com